Subject: IAB submits updated evaluation of ICANN performance

From: "IAB Chair" <[email-masked]>
Date: Tue, 5 Jun 2012 07:13:43 -0700

The IAB has submitted an updated evaluation of ICANN performance with
respect to the IANA Protocol Parameter function as well as .ARPA zone
management. The evaluation is available here.
<http://www.iab.org/wp-content/IAB-uploads/2012/05/IAB-Past-Performance-Ques
tionnaire-FINAL.pdf>  The IANA page on the IETF website (providing links to
documents relating to IANA service level agreements and performance) is
available here. <http://www.ietf.org/iana.html>